@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,700&display=swap");

$font-size-14: 14px;
$font-size-15: 15px;
$font-size-13: 13px;

body {
  background-color: rgb(246, 251, 255) !important;
}
.tab-content,
.title {
  font-family: "Poppins", sans-serif !important;
}

.error {
  font-size: $font-size-14;
  color: #f85a47;
  font-weight: 600;
}
.nav {
  &-tabs {
    justify-content: center;
  }
  &-link.active {
    font-weight: bolder;
  }
  &-link {
    border-radius: 5px 5px 0 0;
  }
}
.form-check-label {
  span {
    color: #009ef7!important;
  }
  font-size: $font-size-15;
  color: #5e6278;
  font-weight: 600;
}

.form-label {
  font-weight: bolder;
  font-size: $font-size-15;
}

.form-check-input {
  &:focus {
    box-shadow: 0 0 0 0.15rem rgb(13 110 253 / 25%) !important;
  }
}

.container {
  box-shadow: 0 0.1rem 2rem 0.2rem rgba(0, 0, 0, 0.05) !important;
  border-radius: $font-size-15;
}

.title {
  h1 {
    font-size: calc(1.1rem + 0.6vw);
    font-weight: 600;
  }
  div {
    span {
      &:hover {
        color: #4f95ff;
      }
      color: #0d6efd;
      cursor: pointer;
    }
    font-weight: 700;
    color: #b5b5c3;
  }
}

.nav-tabs {
  display: none !important;
}

button[type="submit"] {
  width: 100%;
  font-weight: 600;
}
button[type="reset"] {
  &:hover {
    color: white;
    background-color: #418dff;
  }
  width: 100%;
  font-weight: 600;
  color: #0d6efd;
}
input.form-control {
  &::-webkit-input-placeholder {
    color: #acb1c9 !important;
    font-weight: 500;
  }
  &::placeholder {
    color: #acb1c9 !important;
    font-weight: 500;
  }
  &:focus {
    box-shadow: 0 0 0 0.15rem rgb(13 110 253 / 25%);
    color: #525561;
    background-color: #e8ecff !important;
  }
  font-size: $font-size-15;
  color: #747fb9;
  font-weight: 500;
  background-color: #f0f2ff !important;
  border: none;
}

button[type="reset"],
button[type="submit"],
input.form-control {
  border-radius: 10px !important;
  height: 45px;
}

.body {
  background-color: aliceblue;
}

.logo {
  img:first-child {
    width: 60px;
    margin-right: 10px;
  }
  img:last-child {
    width: 120px;
  }
  height: 120px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.container {
  max-width: 500px !important;
  padding: 3.75rem !important;
  background-color: white;
}

.rotate {
  animation: rotate 3s infinite;
}

.strength {
  &-item {
    width: 23%;
    height: 5px;
    border-radius: 5px;
    background-color: #c5cdff;
  }
  justify-content: space-around;
}

.passwordDes {
  font-size: $font-size-13;
  color: #a1a5b7;
  margin: 10px 4px 0px 4px;
}

div.error {
  border: #f1416c 1px solid;
  border-radius: 5px;
  color: #f1416c;
  text-align: center;
  padding: 10px;
  margin-bottom: 20px;
  background-color: #ffdfe7;
  display: none;
}

@media screen and (max-width: 768px) {
  .container {
    max-width: 450px !important;
    padding: 3rem !important;
  }
  .passwordDes {
    font-size: $font-size-14;
  }
}

@media screen and (max-width: 550px) {
  .container {
    padding: 1.5rem !important;
    max-width: 90% !important;
  }
  .title {
    div {
      & > span {
        font-size: $font-size-13;
      }
      font-size: $font-size-13;
    }
  }
  .error {
    font-size: $font-size-13;
  }
  .form-check-label,
  .form-label,
  input.form-control {
    font-size: $font-size-13;
  }
  button[type="reset"],
  button[type="submit"] {
    font-size: $font-size-13;
  }
  .passwordDes {
    font-size: $font-size-13;
  }
}
@keyframes rotate {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(720deg);
  }
}
